#
# spec file for package libmsn
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libmsn
BuildRequires:  cmake gcc-c++ kde4-filesystem libopenssl-devel pkg-config
License:        BSD3c(or similar) ; GPLv2 or later with linking exception for openssl
Group:          Development/Libraries/C and C++
Summary:        Reusable, open-source library for MSN Messenger
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://sourceforge.net/projects/libmsn
Version:        4.1
Release:        6.9.1
%define tar_version 4.1
Source:         http://surfnet.dl.sourceforge.net/sourceforge/libmsn/libmsn-%{tar_version}.tar.bz2
Patch1:         gcc-warnings.diff
Patch2:         literal-string-compare.diff
Patch3:         openssl1.patch
Patch4:         soap-redirect.patch
Patch5:         install-xmlparser.patch
Source99:       COPYING.LGPL
%define debug_package_requires libmsn0_1 = %{version}-%{release}

%description
Libmsn is a reusable, open-source, fully documented library for
connecting to Microsoft's MSN Messenger service.



%package -n libmsn0_3
License:        BSD3c(or similar) ; GPLv2 or later with linking exception for openssl
Summary:        Reusable, open-source library for MSN Messenger
Group:          Development/Libraries/C and C++

%description -n libmsn0_3
Libmsn is a reusable, open-source, fully documented library for
connecting to Microsoft's MSN Messenger service.



%package devel
License:        BSD3c(or similar) ; GPLv2 or later with linking exception for openssl
Summary:        Reusable, open-source library for MSN Messenger
Group:          Development/Libraries/C and C++
Requires:       libmsn0_3 = %version
Requires:       libopenssl-devel

%description devel
Libmsn is a reusable, open-source, fully documented library for
connecting to Microsoft's MSN Messenger service.



%prep
%setup -n libmsn-%{tar_version}
%patch1
%patch2
%patch3 -p1
%patch4
%patch5 -p1
cp %{S:99} .

%build
%cmake_kde4 -d build
%make_jobs

%install
cd build
%makeinstall

%post -n libmsn0_3 -p /sbin/ldconfig

%postun -n libmsn0_3 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n libmsn0_3
%defattr(-,root,root)
%doc README COPYING COPYING.LGPL TODO
%{_libdir}/libmsn.so.0.*

%files devel
%defattr(-,root,root)
/usr/bin/msntest
/usr/include/msn
%{_libdir}/libmsn.so
%{_libdir}/pkgconfig/libmsn.pc

%changelog
* Thu Nov 17 2011 idonmez@suse.com
- Install xmlParser.h
* Wed Nov 16 2011 idonmez@suse.com
- Add soap-redirect.patch to fix connection issues to new MSN
  servers (bnc#729478)
* Sun Aug  7 2011 toddrme2178@gmail.com
- Added BuildRequires: pkg-config (fix for RPMLINT warning)
* Sun Apr 18 2010 tittiatcoke@gmail.com
- Added patch to build with openSSL 1.0
* Fri Mar 26 2010 dmueller@suse.de
- update to 4.1 (bnc#535466):
  * up upstream changelog available
* Thu Jan 21 2010 dmueller@suse.de
- add missing COPYING.LGPL (bnc#465668)
* Mon Sep 21 2009 dmueller@suse.de
- update to 4.0 Beta8:
  * no upstream changelog available
* Mon Jun 22 2009 dmueller@suse.de
- update to 4.0 Beta6 (bnc#515039):
  * no upstream changelog available
* Thu May 14 2009 dmueller@suse.de
- update to 4.0 Beta5 (bnc#503513):
  * no upstream changelog available
* Thu Jan  1 2009 dmueller@suse.de
- update to 4.0 Beta2:
  * no changelog available
* Wed Nov 26 2008 dmueller@suse.de
- Initial package (4.0 Beta1)
